Форум сообщества Runtu.org
Февраль 20, 2018, 22:19:08 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Новости: Доступна для тестирования альфа-версия Runtu LITE 18.04 - 20180101

Подробнее
   Начало   Помощь Поиск Войти Регистрация  
Страниц: 1   Вниз
  Печать  
Автор Тема: Проблема воспоризведения мультимедиа после обновления до Firefox 51  (Прочитано 1281 раз)
0 Пользователей и 1 Гость смотрят эту тему.
Pavels
Постоялец
***
Offline Offline

Сообщений: 233


« : Февраль 25, 2017, 10:11:16 »

После обновления с Firefox 48 до Firefox 51 перестали воспроизводиться треки на «Яндекс.Музыке». В консоли браузера — сообщение об ошибке: «Невозможно воспроизвести медиа. Нет декодеров для запрошенных форматов: audio/mpeg». При этом в Chromium 37 музыка воспроизводится нормально. Runtu XFCE 12.04.
Кто-нибудь знает, в чём может быть проблема?
Записан
I-Jurij
Новичок
**
Offline Offline

Сообщений: 34


« Ответ #1 : Февраль 25, 2017, 12:30:57 »

Не совсем уверен, п.что не проверял, но: ffmpeg установлен?
Если да, то сделайте в консоли:
Код:
ldd path-to-firefox
  и посмотрите, каких либ не хватает, за исключением тех, что в папке /path-to-firefox/firefox/, потом соответственно их доустановить
Если нет подходящих версий libav* - необходимо обновить ffmpeg.
Записан
КНВ
Прохожий
*
Offline Offline

Сообщений: 9


« Ответ #2 : Февраль 25, 2017, 15:05:34 »

Это из-за того, что с 50 релиза отключили поддержку либавкодека 54 старых версий (там дыру нашли). При этом в 14.04 обновили с опозданием, а в 12.04, возможно, ещё не обновили (и не будут). Можно включить принудительно в about:config.
Записан
Pavels
Постоялец
***
Offline Offline

Сообщений: 233


« Ответ #3 : Февраль 27, 2017, 14:06:38 »

Спасибо за помощь! Обновил libavcodec до 56-й версии из itachi-san-ffmpeg/ppa (там как раз есть пакеты для precise) - всё заработало.
Записан
Страниц: 1   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006, Simple Machines Valid XHTML 1.0! Valid CSS!